<?php
/**
Plugin Name: Moja piąta wtyczka
Version: 1.0
Description: Piąta wtyczka przedstawiająca działanie i zastosowanie zaczepów akcji oraz filtrów
Author: Daniel Kuczewski
Author URI: http://zaawansowanywordpress.pl
Plugin URI: http://zaawansowanywordpress.pl/5-zaczepy/
 */

add_action( 'admin_menu', 'm5w_add_menu' );
add_action( 'wp_footer', 'm5w_add_footer', 99);
remove_action( 'wp_footer', 'm5w_add_footer', 99);

function m5w_add_menu(){
    add_menu_page( 'Strona główna wtyczki', 'Moja piąta wtyczka', 'administrator', 'moja-piata-wtyczka', 'glowna_moja_piata_wtyczka', '', 7 );
}

function m5w_add_footer() {
    echo '<br><p>Witryna wykorzystuje wtyczkę "Moja piąta wtyczka"</p>';
}

function glowna_moja_piata_wtyczka(){
    echo "Strona główna wtyczki";
}

add_filter(  'comment_text', 'm5w_comment_cenzure');

function m5w_comment_cenzure( $comment_text ){
    $to_cenzure = array('pierwszy','drugi');
    $replace_cenz = array('trzeci', 'czwarty');
    $comment_text = str_replace($to_cenzure,$replace_cenz, $comment_text);
    return $comment_text;
}

class M5w_Class {
    function __construct() {
        add_filter( 'the_content' , array( &$this, 'add_p'), 0);
    }

    function add_p( $content ) {
        $content = '<p style="color:yellow;">' . $content;
        $content .= '</p>';
        return $content;
    }
}
$m5w_object = new M5w_Class();

add_action( 'widgets_init', 'm5w_register_widget' );

function m5w_register_widget() {
    register_widget( 'M5w_Widget');
}

class M5w_Widget extends WP_Widget {
    function M5w_Widget() {
        // tablica opcji.
        $widget_ops = array(
            'classname' => 'M5w_Widget', //nazwa klasy widgetu
            'description' => 'Widget - zaczepy', //opis widoczny w panelu
        );
        //ładowanie
        parent::__construct( 'M5w_Widget', 'Widget - zaczepy', $widget_ops );
    }
    function form($instance) {
        ?>
        <p>
            Widget po prostu wyświetla przykładowy tekst.
        </p>
        <?php
    }
    function update($new_instance, $old_instance) {
        return $old_instance;
    }
    function widget( $args, $instance) {
        echo $args['before_widget'];
        echo apply_filters( 'm5w_filter' , 'Przykładowy tekst');
        do_action( 'm5w_action');
        echo $args['after_widget'];

    }

}

add_filter( 'm5w_filter', 'm5w_change_widget_text');

function m5w_change_widget_text($text) {
    $text = '<p style="color:blue;">' . $text . '</p>';
    $text .= '<p>Druga linijka</p>';
    return $text;
}

add_action( 'm5w_action', 'm5w_add_text');

function m5w_add_text(){
    echo '<p> Trzecia linijka</p>';
}

